Bug 119050 - Cannot install Fedora Core 2 Test 1 from USB 2.0 DVD drive
Cannot install Fedora Core 2 Test 1 from USB 2.0 DVD drive
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-24 08:46 EST by Andrew
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-22 15:09:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew 2004-03-24 08:46:27 EST
Description of problem:
Anaconda does not seem to have facility for installing from a Fedora
DVD in a USB 2.0 (USB 1.1 as well?) DVD drive.  The installer can
detect any USB device  using the "Hard Drive" option during install,
however, it expects to find an ISO9660 image instead of the install
source tree.

Version-Release number of selected component (if applicable):
Fedora Core 2 Test 1 up to Fedora Core 2 Development files available
via FTP (23 March, 2004.)

How reproducible:
Every time.

Steps to Reproduce:
1.  Boot from DVD using bios option or Boot from CD 
2.  Type "linux askmethod" or ENTER at Fedora installer boot prompt
3.  Fedora installer inserts usb-storage modules
4.  Select Language, etc, until you get to "Installation Method"
  
Actual results:
"Local CDROM" only seems to query IDE bus, not USB.
"Hard Drive" may detect USB2.0 DVD drive (/dev/sr0?) but expects to
find ISO9660 image on DVD media

- tty1 (Alt+F2) does not have bash shell to manually mount media
- tty2 (Alt+F3) displays the following:

* starting to STEP_URL
* trying to mount CD device hdc     ---> IDE CD-ROM (4.2MB boot.iso)
* trying to mount CD device scd0    ---> USB2.0 DVD drive (full DVD)

- tty4 (Alt+F4) displays the following:

<7> ISO 9660 Extensions: Microsoft Joliet Level 3
<4> Unable to load NLS charset iso8859-1
<4> Unable to load NLS charset utf8
<7> ISO9660 Extensions: RRIP_1991A
<7> ISO 9660 Extensions: Microsoft Joliet Level 3
<4> Unable to load NLS charset iso8859-1
<4> Unable to load NLS charset utf8
<7> ISO9660 Extensions: RRIP_1991A

- tty0 (Alt+F1) displays error message:

CD Not Found

The Fedora Core CD was not found
in any of your CDROM drives.
Please insert the Fedora Core CD
and press OK to retry.

Expected results:
Install from Fedora DVD on USB2.0 DVD drive.

Additional info:
- Fedora Core 2 DVD was created by downloading Fedora Development RPMs
and using the script at http://people.redhat.com/ckloiber
- Install from USB2.0 DVD drive failed on 3 different PCs.
Comment 1 Andrew 2004-03-24 09:39:25 EST
OK.
Burned a DVD with the DVD ISO image on it, but when I select "Hard
Drive" from the Installation Method screen I can only see the
following devices:

/dev/hda1
/dev/hda2
/dev/hda2
/dev/sr0

If I select F2 to load additional devices, valid devices for the
driver disk shows:

/dev/scd0
/dev/fd0

Would think that I should be able to select /dev/scd0 somewhere within
 the installer as the source for the ISO image.  Of course, I can
select /dev/hda2 and it finds the image in /tmp/DVD.iso, but that is
the HDD that I am attempting to install to...
Comment 2 Jeremy Katz 2004-03-25 15:07:58 EST
Are you putting the ISO filesystem on the DVD or putting just the iso
as a file on the DVD?  
Comment 3 Andrew 2004-03-25 16:06:11 EST
Tried both, but mainly I tried it with the ISO filesystem on the DVD.
Comment 4 Jeremy Katz 2004-03-27 14:50:13 EST
It's trying to actually mount the ISO off of the DVD (it's trying to
mount scd0).  Is Fedora/base/stage2.img present?  This works with the
actual DVD isos we build, so I'm really going to lean strongly towards
the image not being correct 

Note You need to log in before you can comment on or make changes to this bug.